Name | Type | Default |
autoUpdate
|
boolean
|
false
|
Automatically updates the panel, if its children size is changed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} autoUpdate={true}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the panel is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} disabled={true}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the panel's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} rtl={true}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
sizeMode
|
PanelSizeMode
|
'fixed'
|
PanelSizeMode: "fixed" | "wrap"
Sets or gets the sizing mode. In the 'fixed' mode, the panel displays scrollbars, if its content requires it. In the wrap mode, the scrollbars are not displayed and the panel automatically changes its size.
Possible Values:
'fixed'
'wrap'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} sizeMode={ 'wrap'}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollBarSize
|
number | string
|
17
|
Sets or gets the scrollbar's size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} scrollBarSize={20}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250} theme={ 'material'}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the panel's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
|
Name | Arguments | Return Type |
append
|
HTMLElement
|
|
Appends an element to the panel's content.
|
clearcontent
|
None
|
|
Clears the panel's content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.clearcontent(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.destroy(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.focus(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getScrollHeight
|
None
|
|
Get the scrollable height. Returns a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.getScrollHeight(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getVScrollPosition
|
None
|
|
Get the vertical scrollbar's position. Returns a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.getVScrollPosition(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getScrollWidth
|
None
|
|
Get the scrollable width. Returns a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.getScrollWidth(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getHScrollPosition
|
None
|
|
Get the horizontal scrollbar's position. Returns a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.getHScrollPosition(); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
prepend
|
HTMLElement
|
|
Prepends an element to the panel's content.
|
remove
|
HTMLElement
|
|
Remove an element from the panel's content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.remove(document.querySelector( 'li')); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollTo
|
left, top
|
|
Scroll to specific position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxPanel, { IPanelProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxpanel'; class App extends React.PureComponent<{}, IPanelProps> { private myPanel = React.createRef<JqxPanel>(); public componentDidMount(): void { this.myPanel.current!.scrollTo(0,20); } public render() { return ( <JqxPanel ref={this.myPanel} width={250} height={250}> <div style='margin: 10px;'> <h3>Early History of the Internet </h3> </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
autoUpdate
|
Boolean
|
false
|
Sets or gets the autoUpdate property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [autoUpdate]="true"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [disabled]="true"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [rtl]="true"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
sizeMode
|
enum:PanelSizeMode
|
'fixed'
|
enum PanelSizeMode { fixed, wrap } Sets or gets the sizeMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [sizeMode]="'wrap'"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
scrollBarSize
|
String | Number
|
17
|
Sets or gets the scrollBarSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [scrollBarSize]="20"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250" [theme]="'energyblue'"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent {
|
|
|
Name | Return Type | Arguments |
append
|
Void
|
HTMLElement: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { this.myPanel.append(document.createElement( 'div'));
|
clearcontent
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { this.myPanel.clearcontent();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent;
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent;
|
getScrollHeight
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { let value = this.myPanel.getScrollHeight();
|
getVScrollPosition
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { let value = this.myPanel.getVScrollPosition();
|
getScrollWidth
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { let value = this.myPanel.getScrollWidth();
|
getHScrollPosition
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { let value = this.myPanel.getHScrollPosition();
|
prepend
|
Void
|
HTMLElement: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { this.myPanel.prepend(document.createElement( 'div'));
|
remove
|
Void
|
HTMLElement: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { this.myPanel.remove(document.querySelector( 'label'));
|
scrollTo
|
Void
|
top: String | Number, left: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxPanel #myPanel [width]="350" [height]="250"> <div style="margin: 10px;"> <h3>Early History of the Internet</h3> </div> <div style="white-space: nowrap;"> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> </ul> </div> <div style="margin: 10px;"> <h3>Merging the networks and creating the Internet </h3> </div> <div> <ul> <li>1981 Computer Science Network (CSNET) </li> <li>1982 TCP/IP protocol suite formalized </li> </ul> </div> <div style="margin: 10px;"> <h3>Popular Internet services </h3> </div> <div> <ul> <li>1990 IMDb Internet movie database </li> <li>1995 Amazon.com online retailer </li> </ul> </div> </jqxPanel> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myPanel') myPanel: jqxPanelComponent; ngAfterViewInit(): void { this.myPanel.scrollTo(20,20);
|

Name | Type | Default |
autoUpdate
|
Boolean
|
false
|
Automatically updates the panel, if its children size is changed.
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :autoUpdate="true"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the panel is disabled.
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :disabled="true"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
height
|
Number | String
|
null
|
Sets or gets the panel's height.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :rtl="true"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
sizeMode
|
String
|
'fixed'
|
Sets or gets the sizing mode. In the 'fixed' mode, the panel displays scrollbars, if its content requires it. In the wrap mode, the scrollbars are not displayed and the panel automatically changes its size.
Possible Values:
'fixed'
'wrap'
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :sizeMode="'wrap'"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
scrollBarSize
|
Number
|
17
|
Sets or gets the scrollbar's size.
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :scrollBarSize="20"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxPanel ref="myPanel" :width="250" :height="250" :theme="'material'"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
width
|
Number | String
|
null
|
Sets or gets the panel's width.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue';
|
|
|
Name | Arguments | Return Type |
append
|
HTMLElement
|
None
|
Appends an element to the panel's content.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template><script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { let div = document.createElement( 'div'); div.innerHTML = 'Custom Content'; this.$refs.myPanel.append(div);
|
clearcontent
|
None
|
None
|
Clears the panel's content.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { this.$refs.myPanel.clearcontent();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { this.$refs.myPanel.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { this.$refs.myPanel.focus();
|
getScrollHeight
|
None
|
Number
|
Get the scrollable height. Returns a number.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { const value = this.$refs.myPanel.getScrollHeight();
|
getVScrollPosition
|
None
|
Number
|
Get the vertical scrollbar's position. Returns a number.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { const value = this.$refs.myPanel.getVScrollPosition();
|
getScrollWidth
|
None
|
Number
|
Get the scrollable width. Returns a number.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { const value = this.$refs.myPanel.getScrollWidth();
|
getHScrollPosition
|
None
|
Number
|
Get the horizontal scrollbar's position. Returns a number.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { const value = this.$refs.myPanel.getHScrollPosition();
|
prepend
|
HTMLElement
|
None
|
Prepends an element to the panel's content.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template><script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { let div = document.createElement( 'div'); div.innerHTML = 'Custom Content'; this.$refs.myPanel.prepend(div);
|
remove
|
HTMLElement
|
None
|
Remove an element from the panel's content.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { this.$refs.myPanel.remove(document.querySelector( 'li'));
|
scrollTo
|
left, top
|
None
|
Scroll to specific position.
<template> <JqxPanel ref="myPanel" :width="250" :height="250"> <div style='margin: 10px;'> <h3>Early History of the Internet</h3> </div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1970 Network Information Center (NIC) </li> <li>1971 Merit Network's packet-switched network operational </li> <li>1971 Tymnet packet-switched network </li> <li>1972 Internet Assigned Numbers Authority (IANA) established </li> </ul> </div> </JqxPanel></template> <script> import JqxPanel from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue'; export default { components: { JqxPanel }, mounted: function () { this.$refs.myPanel.scrollTo(0,20);
|